summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2018-06-03 22:04:17 -0700
committerZac Medico <zmedico@gentoo.org>2018-06-03 23:28:42 -0700
commit43081b4c1a5db43271206f712a11d68f814d0bc0 (patch)
treee2d7ec39f47c09ea760e5e77366a1896b77e3686 /app-emulation/cri-o/files
parentapp-dicts/myspell-cy: stable 20130708 for ia64, bug #657312 (diff)
downloadgentoo-43081b4c1a5db43271206f712a11d68f814d0bc0.tar.gz
gentoo-43081b4c1a5db43271206f712a11d68f814d0bc0.tar.bz2
gentoo-43081b4c1a5db43271206f712a11d68f814d0bc0.zip
app-emulation/cri-o: new package
Package-Manager: Portage-2.3.40, Repoman-2.3.9
Diffstat (limited to 'app-emulation/cri-o/files')
-rw-r--r--app-emulation/cri-o/files/cri-o.logrotated7
-rw-r--r--app-emulation/cri-o/files/crio.initd34
2 files changed, 41 insertions, 0 deletions
diff --git a/app-emulation/cri-o/files/cri-o.logrotated b/app-emulation/cri-o/files/cri-o.logrotated
new file mode 100644
index 000000000000..fb0b8b14a8a1
--- /dev/null
+++ b/app-emulation/cri-o/files/cri-o.logrotated
@@ -0,0 +1,7 @@
+/var/log/crio/crio.log {
+ missingok
+ size 5M
+ rotate 3
+ compress
+ copytruncate
+}
diff --git a/app-emulation/cri-o/files/crio.initd b/app-emulation/cri-o/files/crio.initd
new file mode 100644
index 000000000000..723773033f76
--- /dev/null
+++ b/app-emulation/cri-o/files/crio.initd
@@ -0,0 +1,34 @@
+#!/sbin/openrc-run
+# Copyright 2015-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+description="OCI Kubernetes Container Runtime daemon"
+pidfile=${pidfile:-"/run/${RC_SVCNAME}.pid"}
+extra_started_commands="reload"
+command="/usr/bin/${RC_SVCNAME}"
+command_args="${command_args}"
+command_background="true"
+start_stop_daemon_args=" \
+ --stdout /var/log/${RC_SVCNAME}/${RC_SVCNAME}.log \
+ --stderr /var/log/${RC_SVCNAME}/${RC_SVCNAME}.log"
+
+depend() {
+ need net
+}
+
+checkconfig() {
+ checkpath --directory --owner root:root --mode 0775 \
+ /var/log/${RC_SVCNAME}
+ checkpath --file --owner root:root --mode 0644 \
+ /var/log/${RC_SVCNAME}/${RC_SVCNAME}.log
+}
+
+start_pre() {
+ checkconfig
+}
+
+reload() {
+ ebegin "Reloading ${RC_SVCNAME}"
+ start-stop-daemon --signal HUP --pidfile "${pidfile}"
+ eend $?
+}